Query Agent Status of a Queue
Query agent status of a specific queue.
Request URL
GET {base_url}/{api_path}/queue/agent_status?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the queue. Note: You can query queue's ID using Search Specific Queues. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of agents in the queue. |
| data | Array<Agent_List> | Information of each agent. |
Agent_List
| Parameter | Type | Description |
|---|---|---|
| name | String | Agent name. |
| number | String | Agent's extension number. |
| is_login | Integer | Whether the agent is logged in to the queue.
|
| is_pause | Integer | Whether the agent has paused receiving queue calls.
|
| call_status | Integer | Agent's call status.
Note: If the caller puts the call on hold, the agent's call status returns 5 (On hold). If the agent puts the call on hold, the agent's call status returns 2 (In a call). |
| pause_reason | String | Agent's pause reason. |
| agent_type | String | The type of the agent.
|
| max_threshold_for_pause_time | Integer | The amount of time in seconds that the dynamic agent will pause service.
|
| max_threshold_for_logout_time | Integer | The amount of time in seconds that the dynamic agent will log out from the queue.
|
Examples
Request example
Query the status of agent members in a queue (ID: 3).
GET /openapi/v1.0/queue/agent_status?access_token=9G4E5fCWO5lgx14m0NNwS91VvACHUNmU&id=3 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 5,
"data": [
{
"name": "Leo Ball",
"number": "1000",
"is_login": 1,
"is_pause": 0,
"call_status": 1,
"pause_reason": "",
"agent_type": "dynamic",
"max_threshold_for_pause_time": 30,
"max_threshold_for_logout_time": 0
},
{
"name": "Phillip Huff",
"number": "1001",
"is_login": 1,
"is_pause": 1,
"call_status": 1,
"pause_reason": "Break",
"agent_type": "dynamic",
"max_threshold_for_pause_time": 0,
"max_threshold_for_logout_time": 60
},
{
"name": "Madison Cooper",
"number": "1004",
"is_login": 1,
"is_pause": 0,
"call_status": 2,
"pause_reason": "",
"agent_type": "static",
"max_threshold_for_pause_time": 20,
"max_threshold_for_logout_time": 0
},
{
"name": "Kevin Connor",
"number": "1005",
"is_login": 1,
"is_pause": 0,
"call_status": 1,
"pause_reason": "",
"agent_type": "static",
"max_threshold_for_pause_time": 0,
"max_threshold_for_logout_time": 0
},
{
"name": "Kristin Hale",
"number": "1006",
"is_login": 1,
"is_pause": 0,
"call_status": 2,
"pause_reason": "",
"agent_type": "static",
"max_threshold_for_pause_time": 0,
"max_threshold_for_logout_time": 0
}
]
}